# norootforbuild
#!BuildIgnore:          post-build-checks
Name:           transcode
Version:        1.1.4
Release:        1.19

Source0:        %{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/buildroot-%{name}-%{version}

Summary:  	A linux video stream processing utility
Summary(de):	Das Schweizer Taschenmesser der Videobearbeitung
License: 	GPL
Group: 		Productivity/Multimedia/Other

URL:		http://inferno.slug.org/cgi-bin/transcode
BuildRoot: 	%{_tmppath}/buildroot-%{name}-%{version}
Prefix: 	%{_prefix}

Autoreqprov: on
Requires:	libdv
%if 0%{?suse_version} >= 1000
BuildRequires:  lzo-devel >= 2.01
%else
BuildRequires:  lzo-devel < 2
%endif
BuildRequires:  nasm >= 0.98.35
BuildRequires:  gtk-devel
BuildRequires:  libdvdread-devel
BuildRequires:  libogg-devel
BuildRequires:  libxml2-devel
BuildRequires:  glib-devel
%if 0%{?suse_version} >= 1020
BuildRequires:	libquicktime-devel >= 0.9.3
%endif
BuildRequires:  libmp3lame-devel
BuildRequires:  libfame-devel
BuildRequires:  aalib-devel
BuildRequires:  ImageMagick-devel
BuildRequires:  liba52dec-devel
BuildRequires:  freetype2-devel
BuildRequires:  pvm-devel
BuildRequires: 	mjpegtools
BuildRequires: 	SDL-devel
BuildRequires:	libtheora-devel

BuildRequires:	libffmpeg-devel
BuildRequires:	lzo
BuildRequires:	libmpeg2-devel

BuildRequires:    libvorbis
BuildRequires:    libvorbis-devel
BuildRequires:    libmpeg3-devel
%if 0%{?suse_version} > 1000
BuildRequires:    mjpegtools-devel
%endif
BuildRequires:    gcc-c++
BuildRequires:    pkgconfig


%description
transcode is a text-console video stream processing
tool. Decoding and encoding is done by loading shared library modules
that are responsible for feeding transcode with raw RGB/PCM streams 
(import module) and encoding the frames (export module). It supports
elementary video and audio frame transformations.
Some example modules are included to enable import
of MPEG program streams (VOB), Digital Video (DV), or YUV video 
and export modules for writing DivX;-), OpenDivX, or uncompressed AVI files. 
A set of tools is available to extract and decode the sources into 
raw video/audio streams for import and to enable post-processing of AVI files.

Written by Thomas Östreich (ostreich@theorie.physik.uni-goettingen.de)

%description -l de
Videokonverter mit sehr vielen input/output und filter plugins, kann auch zum encodieren von dvd's genutzt werden.

%debug_package

%prep
%setup -q -n %{name}-%version

%build
autoreconf -if
# --enable-ibp 
CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="$RPM_OPT_FLAGS"  LDFLAGS=" -L%{_libdir} `glib-config --libs`" ./configure \
        --prefix=%{_prefix} --mandir=%{_mandir} --libdir=%{_libdir} \
	--with-mod-path=%{_libdir}/transcode \
	--with-qt --enable-xvid --enable-x264 --enable-libquicktime \
	--with-ffmpeg --enable-text --enable-alsa --enable-alsa \
	--enable-netstream --enable-ogg --enable-v4l --enable-ogg \
	--enable-vorbis --enable-theora --enable-libdv --enable-faac \
	--enable-freetype2 \
	--enable-lzo --with-lzo-includes=%_includedir/lzo \
	--enable-a52 --enable-a52-default-decoder \
%if 0%{?suse_version} >= 1020
	--enable-libquicktime\
%endif
	--enable-libpostproc --with-libpostproc-includes=%_includedir/postproc\
%if 0%{?suse_version} < 1000
	--enable-avifile --with-avifile-includes=%_includedir/avifile-0.7 \
%endif
	--enable-libxml2 \
	--enable-mjpegtools --enable-sdl --enable-gtk --enable-libfame --enable-ffbin \
%if 0%{?suse_version} <= 1030
	--enable-imagemagick \
%else
	--disable-imagemagick \
%endif
%ifarch x86_64 amd64 ia32e
	--enable-pvm3  --with-pvm3-libs=/usr/lib/pvm3/lib/LINUX64
%else
%ifarch ppc
        --enable-pvm3  --with-pvm3-libs=/usr/lib/pvm3/lib/LINUXPPC
%else
	--enable-pvm3  --with-pvm3-libs=%{_libdir}/pvm3/lib/LINUX  
%endif
%endif

%{__make} %{?jobs:-j%{jobs}}

%install
[ -d  %{buildroot} -a "%{buildroot}" != "/" ] && %{__rm} -rf  %{buildroot}
%{makeinstall}

%{__rm} -rf %{buildroot}%{_datadir}/doc/transcode
%{__rm} -rf %{buildroot}%{_datadir}/doc/packages/%{name}/man docs/man
%{__rm} -f %{buildroot}%{_bindir}/pvmgs
##%{__install} contrib/tccomplete.source -D  %{buildroot}%{_sysconfdir}/bash_completion.d/transcode.sh

%if 0%{?suse_version} >= 1000
%{__rm} -f %{buildroot}%{_libdir}/%{name}/export_af6.conf
%endif
find ./docs -name Makefile\* -exec rm {} \;
chmod 644 docs/*.py docs/*.sh

%clean
[ -d  %{buildroot} -a "%{buildroot}" != "/" ] && %{__rm} -rf  %{buildroot}

%files
%defattr(-,root,root)
##%attr(644,root,root)%{_sysconfdir}/bash_completion.d/transcode.sh
%{_bindir}/avifix
%{_bindir}/aviindex
%{_bindir}/avimerge
%{_bindir}/avisplit
%{_bindir}/avisync
%{_bindir}/tccat
%{_bindir}/tcdecode
%{_bindir}/tcdemux
%{_bindir}/tcextract
%{_bindir}/tcmodinfo
%{_bindir}/tcmp3cut
#%{_bindir}/tcmplex
%{_bindir}/tcprobe
%{_bindir}/tcpvmexportd
##%{_bindir}/tcrequant
%{_bindir}/tcyait
%{_bindir}/tcscan
%{_bindir}/tcxmlcheck
%{_bindir}/tcxpm2rgb
%{_bindir}/%{name}
%{_libdir}/%{name}/a52_decore.la
%{_libdir}/%{name}/a52_decore.so
##%{_libdir}/%{name}/af6_decore.la
##%{_libdir}/%{name}/af6_decore.so
%{_libdir}/%{name}/export_*.la
%{_libdir}/%{name}/export_*.so
%{_libdir}/%{name}/filter_*.la
%{_libdir}/%{name}/filter_*.so
%{_libdir}/%{name}/import_*.la
%{_libdir}/%{name}/import_*.so
%{_libdir}/%{name}/*.awk
%{_libdir}/%{name}/pvm_functions.la
%{_libdir}/%{name}/pvm_functions.so
##%{_libdir}/%{name}/xvid2.cfg
##%{_libdir}/%{name}/xvid3.cfg
%{_libdir}/%{name}/xvid4.cfg
%{_mandir}/man*/*
%doc AUTHORS COPYING ChangeLog README TODO docs/*

%changelog
* Sun Sep 30 2007 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build
